ionCube Logo
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 


 
Post new topic   This topic is locked: you cannot edit posts or make replies.    ionCube Forum Index -> ionCube Loader

Installing a Loader on GoDaddy

Author Message
liaison
ionCube Support


Joined: 16 Dec 2004
Posts: 2757

PostPosted: Sat Jul 04, 2009 3:09 am    Post subject: Installing a Loader on GoDaddy Reply with quote

Edit: October 2013

The information below is provided for background information, but we would now recommend using the Loader Installer where possible as this automates the task.

>>> The Details <<<

Installing the ionCube Loader on a PHP 5 shared hosting account with GoDaddy is straightforward, and explained below.

* First, make sure that your GD hosting plan is on Linux. If you have a GoDaddy Windows hosted account, contact their support team and they should be able to switch you to Linux.

* Point the browser to one of the PHP scripts that you are needing to run. Without the Loader installed you should get an error message saying that the file /home/content/.../html/... needs the Loader, and saying which Loader is needed. The text in place of the dots is unique to your particular account setup. Take a note of the text from /home up to /html as you'll need that in the next step.

* Create a file called php5.ini and add the line
Code:
zend_extension = /home/content/.../html/ioncube/ioncube_loader_lin_x.y.so
Use the path from the previous step, and the name of the Loader being requested. If you already have a php5.ini file, make sure that the line for the Loader is the first line in the file. Upload the php5.ini file to your html directory.

* Download the Linux Loaders, unzip and upload into a folder called ioncube in your html folder.

* Done correctly, Encoded files should now be working.

To summarise with an example

If you received an error saying that a script /home/content/p/o/d/podmaker/html/admin.php needed ioncube_loader_lin_5.2.so, you should:

1) Create a file called php5.ini in the html directory with the line
Code:
zend_extension = /home/content/p/o/d/podmaker/html/ioncube/ioncube_loader_lin_5.2.so


2) Upload Linux x86 Loaders to a directory called ioncube in your html directory.
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   This topic is locked: you cannot edit posts or make replies.    ionCube Forum Index -> ionCube Loader All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum